Package org.apache.wiki.spi

# Class AclsSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.AclsSPIDefaultImpl

All Implemented Interfaces:
  `org.apache.wiki.api.spi.AclsSPI`

public class AclsSPIDefaultImpl extends Object implements org.apache.wiki.api.spi.AclsSPI

## Constructor Summary

Constructors
Constructor
Description
`AclsSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.wiki.api.core.Acl`
`acl()`
`org.apache.wiki.api.core.AclEntry`
`entry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AclsSPIDefaultImpl

public AclsSPIDefaultImpl()

## Method Details

### acl

public org.apache.wiki.api.core.Acl acl()

Specified by:
  `acl` in interface `org.apache.wiki.api.spi.AclsSPI`

### entry

public org.apache.wiki.api.core.AclEntry entry()

Specified by:
  `entry` in interface `org.apache.wiki.api.spi.AclsSPI`